package service

import (
	"reflect"

	cda "git.loafle.net/commons_go/di/annotation"
	cdr "git.loafle.net/commons_go/di/registry"
)

func init() {
	cdr.RegisterType(reflect.TypeOf((*StateService)(nil)))
}

type StateService struct {
	cda.TypeAnnotation `annotation:"@overFlow:Service()"`
}

func (s *StateService) State() (bool, error) {
	return true, nil
}
